
_Timer1Interrupt:
	PUSH	DSWPAG
	PUSH	50
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;dsPIC33EP_PWM.c,24 :: 		void Timer1Interrupt() iv IVT_ADDR_T1INTERRUPT ics ICS_AUTO
;dsPIC33EP_PWM.c,26 :: 		TimerInterruptCount++;     // Increment interrupt counter
	MOV.B	#1, W1
	MOV	#lo_addr(_TimerInterruptCount), W0
	ADD.B	W1, [W0], [W0]
;dsPIC33EP_PWM.c,27 :: 		IFS0bits.T1IF = 0;         // Clear Interrupt Flag
	BCLR	IFS0bits, #3
;dsPIC33EP_PWM.c,28 :: 		}
L_end_Timer1Interrupt:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	POP	50
	POP	DSWPAG
	RETFIE
; end of _Timer1Interrupt

_AdcInterrupt:
	PUSH	DSWPAG
	PUSH	50
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;dsPIC33EP_PWM.c,30 :: 		void AdcInterrupt() iv IVT_ADDR_AD1INTERRUPT ics ICS_AUTO
;dsPIC33EP_PWM.c,32 :: 		IFS0bits.AD1IF = 0; // Clear the A/D interrupt flag bit
	BCLR	IFS0bits, #13
;dsPIC33EP_PWM.c,33 :: 		CH0_Result = ADC1BUF0; // Read CH0 and CH1
	MOV	ADC1BUF0, WREG
	MOV	W0, _CH0_Result
;dsPIC33EP_PWM.c,34 :: 		CH1_Result = ADC1BUF1;
	MOV	ADC1BUF1, WREG
	MOV	W0, _CH1_Result
;dsPIC33EP_PWM.c,36 :: 		}
L_end_AdcInterrupt:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	POP	50
	POP	DSWPAG
	RETFIE
; end of _AdcInterrupt

_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 50
	MOV	#4, W0
	IOR	68

;dsPIC33EP_PWM.c,41 :: 		void main()
;dsPIC33EP_PWM.c,43 :: 		oscConfig();
	CALL	_oscConfig
;dsPIC33EP_PWM.c,44 :: 		Mcu_Init();
	CALL	_Mcu_Init
;dsPIC33EP_PWM.c,45 :: 		init_ADC();
	CALL	_init_ADC
;dsPIC33EP_PWM.c,46 :: 		init_PWM();
	CALL	_init_PWM
;dsPIC33EP_PWM.c,50 :: 		while(1)
L_main0:
;dsPIC33EP_PWM.c,54 :: 		Delay_ms(10);
	MOV	#3, W8
	MOV	#8929, W7
L_main2:
	DEC	W7
	BRA NZ	L_main2
	DEC	W8
	BRA NZ	L_main2
;dsPIC33EP_PWM.c,55 :: 		LedCount++;
	MOV.B	#1, W1
	MOV	#lo_addr(_LedCount), W0
	ADD.B	W1, [W0], [W0]
;dsPIC33EP_PWM.c,56 :: 		if(LedCount == 15){LATDbits.LATD5 ^= 1;LedCount = 0;}
	MOV	#lo_addr(_LedCount), W0
	MOV.B	[W0], W0
	CP.B	W0, #15
	BRA Z	L__main10
	GOTO	L_main4
L__main10:
	BTG	LATDbits, #5
	MOV	#lo_addr(_LedCount), W1
	CLR	W0
	MOV.B	W0, [W1]
L_main4:
;dsPIC33EP_PWM.c,57 :: 		}
	GOTO	L_main0
;dsPIC33EP_PWM.c,58 :: 		}
L_end_main:
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main

_init_ADC:

;dsPIC33EP_PWM.c,60 :: 		void init_ADC(void)
;dsPIC33EP_PWM.c,62 :: 		ANSELBbits.ANSB0 = 1;  // RB0 as analog pin for ADC
	BSET	ANSELBbits, #0
;dsPIC33EP_PWM.c,63 :: 		ANSELBbits.ANSB1 = 1;  // RB1 as analog pin for ADC
	BSET	ANSELBbits, #1
;dsPIC33EP_PWM.c,64 :: 		TRISBbits.TRISB0 = 1;  // RB0 as input
	BSET	TRISBbits, #0
;dsPIC33EP_PWM.c,65 :: 		TRISBbits.TRISB1 = 1;  // RB1 as input
	BSET	TRISBbits, #1
;dsPIC33EP_PWM.c,67 :: 		AD1CON1bits.FORM   = 0b00;  // Data Output Format: integer
	MOV	AD1CON1bits, W1
	MOV	#64767, W0
	AND	W1, W0, W0
	MOV	WREG, AD1CON1bits
;dsPIC33EP_PWM.c,68 :: 		AD1CON1bits.SIMSAM = 1;    // Sample simutaneously
	BSET	AD1CON1bits, #3
;dsPIC33EP_PWM.c,69 :: 		AD1CON1bits.SSRCG  = 0;    // Sample source control bit
	BCLR	AD1CON1bits, #4
;dsPIC33EP_PWM.c,70 :: 		AD1CON1bits.SSRC   = 0b011; // Sample Clock Source: PWM special event trigger
	MOV.B	#96, W0
	MOV.B	W0, W1
	MOV	#lo_addr(AD1CON1bits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(AD1CON1bits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(AD1CON1bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,71 :: 		AD1CON1bits.ASAM   = 1;     // Sampling begins immediately after conversion
	BSET	AD1CON1bits, #2
;dsPIC33EP_PWM.c,72 :: 		AD1CON1bits.AD12B  = 0; // 10-bit ADC operation
	BCLR	AD1CON1bits, #10
;dsPIC33EP_PWM.c,74 :: 		AD1CON2bits.CSCNA = 1; // Scan Input Selections for CH0+ during Sample A bit
	BSET	AD1CON2bits, #10
;dsPIC33EP_PWM.c,75 :: 		AD1CON2bits.CHPS  = 0b01; //Converts CH1.2
	MOV	#256, W0
	MOV	W0, W1
	MOV	#lo_addr(AD1CON2bits), W0
	XOR	W1, [W0], W1
	MOV	#768, W0
	AND	W1, W0, W1
	MOV	#lo_addr(AD1CON2bits), W0
	XOR	W1, [W0], W1
	MOV	W1, AD1CON2bits
;dsPIC33EP_PWM.c,77 :: 		AD1CON3bits.ADRC = 0;	 //ADC Clock is derived from Systems Clock
	BCLR	AD1CON3bits, #15
;dsPIC33EP_PWM.c,81 :: 		AD1CON3bits.ADCS = 64;
	MOV.B	#64, W0
	MOV.B	W0, W1
	MOV	#lo_addr(AD1CON3bits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#255, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(AD1CON3bits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(AD1CON3bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,83 :: 		AD1CON4bits.ADDMAEN = 0; // DMA is not used
	BCLR	AD1CON4bits, #8
;dsPIC33EP_PWM.c,84 :: 		AD1CON2bits.SMPI    = (NUM_CHS2SCAN-1); // 4 ADC Channel is scanned
	MOV.B	#4, W0
	MOV.B	W0, W1
	MOV	#lo_addr(AD1CON2bits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#124, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(AD1CON2bits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(AD1CON2bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,87 :: 		AD1CSSH = 0x0000;
	CLR	AD1CSSH
;dsPIC33EP_PWM.c,88 :: 		AD1CSSLbits.CSS0 = 1;	// Enable AN0 for channel scan
	BSET	AD1CSSLbits, #0
;dsPIC33EP_PWM.c,89 :: 		AD1CSSLbits.CSS1 = 1;	// Enable AN1 for channel scan
	BSET	AD1CSSLbits, #1
;dsPIC33EP_PWM.c,90 :: 		AD1CSSLbits.CSS2 = 1;	// Enable AN2 for channel scan
	BSET	AD1CSSLbits, #2
;dsPIC33EP_PWM.c,91 :: 		AD1CSSLbits.CSS3 = 1;	// Enable AN3 for channel scan
	BSET	AD1CSSLbits, #3
;dsPIC33EP_PWM.c,94 :: 		IFS0bits.AD1IF   = 0; // Clear the A/D interrupt flag bit
	BCLR	IFS0bits, #13
;dsPIC33EP_PWM.c,95 :: 		IEC0bits.AD1IE   = 1;  // Do Not Enable A/D interrupt
	BSET	IEC0bits, #13
;dsPIC33EP_PWM.c,96 :: 		AD1CON1bits.ADON = 1;  // Turn on the A/D converter
	BSET	AD1CON1bits, #15
;dsPIC33EP_PWM.c,98 :: 		}
L_end_init_ADC:
	RETURN
; end of _init_ADC

_init_PWM:

;dsPIC33EP_PWM.c,100 :: 		void init_PWM(void)
;dsPIC33EP_PWM.c,102 :: 		PTPER = 14000;  // Fpwm = 10Khz Prescaler 1:1 Fosc = 140Mhz Tosc = 7nSec
	MOV	#14000, W0
	MOV	WREG, PTPER
;dsPIC33EP_PWM.c,106 :: 		IOCON1bits.PENH = 1;  //PWM1H is controlled by PWM module
	BSET	IOCON1bits, #15
;dsPIC33EP_PWM.c,107 :: 		IOCON1bits.PENL = 1;  //PWM1L is controlled by PWM module
	BSET	IOCON1bits, #14
;dsPIC33EP_PWM.c,108 :: 		IOCON1bits.PMOD = 0;  //Select Complementary Output PWM mode
	MOV	IOCON1bits, W1
	MOV	#62463, W0
	AND	W1, W0, W0
	MOV	WREG, IOCON1bits
;dsPIC33EP_PWM.c,110 :: 		IOCON1bits.POLH = 0;  // Drive signals are active-high
	BCLR	IOCON1bits, #13
;dsPIC33EP_PWM.c,111 :: 		IOCON1bits.POLL = 0;  // Drive signals are active-high
	BCLR	IOCON1bits, #12
;dsPIC33EP_PWM.c,113 :: 		IOCON1bits.OVRENH = 0;    // Disable Override feature for shutdown PWM
	BCLR	IOCON1bits, #9
;dsPIC33EP_PWM.c,114 :: 		IOCON1bits.OVRENL = 0;    // Disable Override feature for shutdown PWM
	BCLR	IOCON1bits, #8
;dsPIC33EP_PWM.c,115 :: 		IOCON1bits.OVRDAT = 0b00; // Shut down PWM with Over ride 0 on PWMH and PWML
	MOV	#lo_addr(IOCON1bits), W0
	MOV.B	[W0], W1
	MOV.B	#63, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(IOCON1bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,118 :: 		PWMCON1bits.DTC = 0;     // Positive Deadtime enabled
	MOV	#lo_addr(PWMCON1bits), W0
	MOV.B	[W0], W1
	MOV.B	#63, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(PWMCON1bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,120 :: 		PWMCON1bits.IUE = 0;     // Disable Immediate duty cycle updates
	BCLR	PWMCON1bits, #0
;dsPIC33EP_PWM.c,121 :: 		PWMCON1bits.ITB = 0;     // Select Primary Timebase mode
	BCLR	PWMCON1bits, #9
;dsPIC33EP_PWM.c,123 :: 		FCLCON1bits.FLTMOD = 3;  // Fault Disabled
	MOV	#lo_addr(FCLCON1bits), W0
	MOV.B	[W0], W0
	IOR.B	W0, #3, W1
	MOV	#lo_addr(FCLCON1bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,125 :: 		TRGCON1bits.TRGDIV = 0;  // Trigger interrupt generated every PWM cycle
	MOV	TRGCON1bits, W1
	MOV	#4095, W0
	AND	W1, W0, W0
	MOV	WREG, TRGCON1bits
;dsPIC33EP_PWM.c,126 :: 		TRGCON1bits.TRGSTRT = 0; // Trigger generated after waiting 0 PWM cycles
	MOV	#lo_addr(TRGCON1bits), W0
	MOV.B	[W0], W1
	MOV.B	#192, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(TRGCON1bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,128 :: 		PDC1 = 2800 ;
	MOV	#2800, W0
	MOV	WREG, PDC1
;dsPIC33EP_PWM.c,129 :: 		DTR1    = 20;
	MOV	#20, W0
	MOV	WREG, DTR1
;dsPIC33EP_PWM.c,130 :: 		ALTDTR1 = 20;
	MOV	#20, W0
	MOV	WREG, ALTDTR1
;dsPIC33EP_PWM.c,132 :: 		PHASE1 = 0;     // No phase shift
	CLR	PHASE1
;dsPIC33EP_PWM.c,133 :: 		TRIG1 = 0;      // Trigger generated at beginning of PWM active period
	CLR	TRIG1
;dsPIC33EP_PWM.c,137 :: 		IOCON2bits.PENH = 1;  //PWM2H is controlled by PWM module
	BSET	IOCON2bits, #15
;dsPIC33EP_PWM.c,138 :: 		IOCON2bits.PENL = 1;  //PWM2L is controlled by PWM module
	BSET	IOCON2bits, #14
;dsPIC33EP_PWM.c,139 :: 		IOCON2bits.PMOD = 0;  //Select Complementary Output PWM mode
	MOV	IOCON2bits, W1
	MOV	#62463, W0
	AND	W1, W0, W0
	MOV	WREG, IOCON2bits
;dsPIC33EP_PWM.c,141 :: 		IOCON2bits.POLH = 0;  //Drive signals are active-high
	BCLR	IOCON2bits, #13
;dsPIC33EP_PWM.c,142 :: 		IOCON1bits.POLL = 0;  //Drive signals are active-high
	BCLR	IOCON1bits, #12
;dsPIC33EP_PWM.c,144 :: 		IOCON2bits.OVRENH = 0;  //Disable Override feature for shutdown PWM
	BCLR	IOCON2bits, #9
;dsPIC33EP_PWM.c,145 :: 		IOCON2bits.OVRENL = 0;  //Disable Override feature for shutdown PWM
	BCLR	IOCON2bits, #8
;dsPIC33EP_PWM.c,146 :: 		IOCON2bits.OVRDAT = 0b00;//Shut down PWM with Over ride 0 on PWMH and PWML
	MOV	#lo_addr(IOCON2bits), W0
	MOV.B	[W0], W1
	MOV.B	#63, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(IOCON2bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,149 :: 		PWMCON2bits.DTC = 0;     //Positive Deadtime enabled
	MOV	#lo_addr(PWMCON2bits), W0
	MOV.B	[W0], W1
	MOV.B	#63, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(PWMCON2bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,151 :: 		PWMCON2bits.IUE = 0;     //Disable Immediate duty cycle updates
	BCLR	PWMCON2bits, #0
;dsPIC33EP_PWM.c,152 :: 		PWMCON2bits.ITB = 0;     //Select Primary Timebase mode
	BCLR	PWMCON2bits, #9
;dsPIC33EP_PWM.c,154 :: 		FCLCON2bits.FLTMOD = 3;  //Fault Disabled
	MOV	#lo_addr(FCLCON2bits), W0
	MOV.B	[W0], W0
	IOR.B	W0, #3, W1
	MOV	#lo_addr(FCLCON2bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,156 :: 		TRGCON2bits.TRGDIV = 0;  //Trigger interrupt generated every PWM cycle
	MOV	TRGCON2bits, W1
	MOV	#4095, W0
	AND	W1, W0, W0
	MOV	WREG, TRGCON2bits
;dsPIC33EP_PWM.c,157 :: 		TRGCON2bits.TRGSTRT = 0; //Trigger generated after waiting 0 PWM cycles
	MOV	#lo_addr(TRGCON2bits), W0
	MOV.B	[W0], W1
	MOV.B	#192, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(TRGCON2bits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,159 :: 		PDC2 = 2800 ;      //Duty cycle  20%
	MOV	#2800, W0
	MOV	WREG, PDC2
;dsPIC33EP_PWM.c,161 :: 		DTR2    = 20; //Deadtime = (100nSec)
	MOV	#20, W0
	MOV	WREG, DTR2
;dsPIC33EP_PWM.c,162 :: 		ALTDTR2 = 20; //ALTDeadtime = (100nSec)
	MOV	#20, W0
	MOV	WREG, ALTDTR2
;dsPIC33EP_PWM.c,164 :: 		PHASE2 = -2700;// phase shift 120
	MOV	#62836, W0
	MOV	WREG, PHASE2
;dsPIC33EP_PWM.c,165 :: 		TRIG2 = 0;   // Trigger generated at beginning of PWM active period
	CLR	TRIG2
;dsPIC33EP_PWM.c,167 :: 		PTCONbits.PTEN = 1;//Enable the PWM Module
	BSET	PTCONbits, #15
;dsPIC33EP_PWM.c,169 :: 		}
L_end_init_PWM:
	RETURN
; end of _init_PWM

_Mcu_Init:

;dsPIC33EP_PWM.c,171 :: 		void Mcu_Init(void)
;dsPIC33EP_PWM.c,173 :: 		INTCON1bits.NSTDIS = 1; //No nested interrupts
	BSET	INTCON1bits, #15
;dsPIC33EP_PWM.c,177 :: 		ANSELA = ANSELB = ANSELC = ANSELD = ANSELE = ANSELG = 0x0000;
	CLR	ANSELG
	MOV	ANSELG, WREG
	MOV	WREG, ANSELE
	MOV	ANSELE, WREG
	MOV	WREG, ANSELD
	MOV	ANSELD, WREG
	MOV	WREG, ANSELC
	MOV	ANSELC, WREG
	MOV	WREG, ANSELB
	MOV	ANSELB, WREG
	MOV	WREG, ANSELA
;dsPIC33EP_PWM.c,182 :: 		TRISA = TRISB = TRISC = TRISD = TRISE = TRISG = 0x0000;
	CLR	TRISG
	MOV	TRISG, WREG
	MOV	WREG, TRISE
	MOV	TRISE, WREG
	MOV	WREG, TRISD
	MOV	TRISD, WREG
	MOV	WREG, TRISC
	MOV	TRISC, WREG
	MOV	WREG, TRISB
	MOV	TRISB, WREG
	MOV	WREG, TRISA
;dsPIC33EP_PWM.c,187 :: 		LATA = LATB = LATC = LATD = LATE = LATG = 0x0000;
	CLR	LATG
	MOV	LATG, WREG
	MOV	WREG, LATE
	MOV	LATE, WREG
	MOV	WREG, LATD
	MOV	LATD, WREG
	MOV	WREG, LATC
	MOV	LATC, WREG
	MOV	WREG, LATB
	MOV	LATB, WREG
	MOV	WREG, LATA
;dsPIC33EP_PWM.c,192 :: 		LATD = 0;
	CLR	LATD
;dsPIC33EP_PWM.c,193 :: 		}
L_end_Mcu_Init:
	RETURN
; end of _Mcu_Init

_oscConfig:

;dsPIC33EP_PWM.c,195 :: 		void oscConfig(void)
;dsPIC33EP_PWM.c,201 :: 		PLLFBD = 68;                 //M = 70
	MOV	#68, W0
	MOV	WREG, PLLFBD
;dsPIC33EP_PWM.c,202 :: 		CLKDIVbits.PLLPOST=0;        /* N1=2 */
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	[W0], W1
	MOV.B	#63, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,203 :: 		CLKDIVbits.PLLPRE=0;        /* N2=2 */
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	[W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_PWM.c,204 :: 		OSCTUN = 0;                /* Tune FRC oscillator, if FRC is used */
	CLR	OSCTUN
;dsPIC33EP_PWM.c,207 :: 		RCONbits.SWDTEN=0;
	BCLR	RCONbits, #5
;dsPIC33EP_PWM.c,208 :: 		}
L_end_oscConfig:
	RETURN
; end of _oscConfig

_Delay_ms:

;dsPIC33EP_PWM.c,210 :: 		void Delay_ms (unsigned int delay)
;dsPIC33EP_PWM.c,212 :: 		TimerInterruptCount = 0;  // Clear Interrupt counter flag
	MOV	#lo_addr(_TimerInterruptCount), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_PWM.c,213 :: 		T1CONbits.TCKPS0 = 1;
	BSET	T1CONbits, #4
;dsPIC33EP_PWM.c,214 :: 		T1CONbits.TCKPS1 = 0;     // Prescaler = 01 = 8
	BCLR	T1CONbits, #5
;dsPIC33EP_PWM.c,215 :: 		PR1 = 0x22E1;             // (1ms/112nSec) = 8929 = 0x22E1
	MOV	#8929, W0
	MOV	WREG, PR1
;dsPIC33EP_PWM.c,216 :: 		IPC0bits.T1IP = 4;        // Set Interrupt Priority lower then ADC
	MOV	#16384, W0
	MOV	W0, W1
	MOV	#lo_addr(IPC0bits), W0
	XOR	W1, [W0], W1
	MOV	#28672, W0
	AND	W1, W0, W1
	MOV	#lo_addr(IPC0bits), W0
	XOR	W1, [W0], W1
	MOV	W1, IPC0bits
;dsPIC33EP_PWM.c,217 :: 		IEC0bits.T1IE = 1;        // Enable Timer1 interrupts
	BSET	IEC0bits, #3
;dsPIC33EP_PWM.c,218 :: 		T1CONbits.TON = 1;        // Enable Timer1
	BSET	T1CONbits, #15
;dsPIC33EP_PWM.c,220 :: 		while (TimerInterruptCount < delay);//Wait for Interrupt counts to equal delay
L_Delay_ms5:
	MOV	#lo_addr(_TimerInterruptCount), W0
	ZE	[W0], W0
	CP	W0, W10
	BRA LTU	L__Delay_ms17
	GOTO	L_Delay_ms6
L__Delay_ms17:
	GOTO	L_Delay_ms5
L_Delay_ms6:
;dsPIC33EP_PWM.c,221 :: 		T1CONbits.TON = 0;                  // Disable the Timer
	BCLR	T1CONbits, #15
;dsPIC33EP_PWM.c,222 :: 		}
L_end_Delay_ms:
	RETURN
; end of _Delay_ms
