#line 1 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for dsPIC Projects/dsPIC33EP_PWM/dsPIC33EP_PWM.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for dspic/include/built_in.h"
#line 7 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for dsPIC Projects/dsPIC33EP_PWM/dsPIC33EP_PWM.c"
void oscConfig(void);
void Delay_ms (unsigned int delay);
void Mcu_Init(void);
void init_ADC(void);
void init_PWM(void);




unsigned char TimerInterruptCount;
unsigned char LedCount;
unsigned int CH0_Result;
unsigned int CH1_Result;




 void Timer1Interrupt() iv IVT_ADDR_T1INTERRUPT ics ICS_AUTO
{
 TimerInterruptCount++;
 IFS0bits.T1IF = 0;
}

void AdcInterrupt() iv IVT_ADDR_AD1INTERRUPT ics ICS_AUTO
{
 IFS0bits.AD1IF = 0;
 CH0_Result = ADC1BUF0;
 CH1_Result = ADC1BUF1;

}




void main()
{
 oscConfig();
 Mcu_Init();
 init_ADC();
 init_PWM();



 while(1)
 {


 Delay_ms(10);
 LedCount++;
 if(LedCount == 15){LATDbits.LATD5 ^= 1;LedCount = 0;}
 }
}

void init_ADC(void)
{
 ANSELBbits.ANSB0 = 1;
 ANSELBbits.ANSB1 = 1;
 TRISBbits.TRISB0 = 1;
 TRISBbits.TRISB1 = 1;

 AD1CON1bits.FORM = 0b00;
 AD1CON1bits.SIMSAM = 1;
 AD1CON1bits.SSRCG = 0;
 AD1CON1bits.SSRC = 0b011;
 AD1CON1bits.ASAM = 1;
 AD1CON1bits.AD12B = 0;

 AD1CON2bits.CSCNA = 1;
 AD1CON2bits.CHPS = 0b01;

 AD1CON3bits.ADRC = 0;



 AD1CON3bits.ADCS = 64;

 AD1CON4bits.ADDMAEN = 0;
 AD1CON2bits.SMPI = ( 2 -1);


 AD1CSSH = 0x0000;
 AD1CSSLbits.CSS0 = 1;
 AD1CSSLbits.CSS1 = 1;
 AD1CSSLbits.CSS2 = 1;
 AD1CSSLbits.CSS3 = 1;


 IFS0bits.AD1IF = 0;
 IEC0bits.AD1IE = 1;
 AD1CON1bits.ADON = 1;

}

void init_PWM(void)
{
 PTPER = 14000;



 IOCON1bits.PENH = 1;
 IOCON1bits.PENL = 1;
 IOCON1bits.PMOD = 0;

 IOCON1bits.POLH = 0;
 IOCON1bits.POLL = 0;

 IOCON1bits.OVRENH = 0;
 IOCON1bits.OVRENL = 0;
 IOCON1bits.OVRDAT = 0b00;


 PWMCON1bits.DTC = 0;

 PWMCON1bits.IUE = 0;
 PWMCON1bits.ITB = 0;

 FCLCON1bits.FLTMOD = 3;

 TRGCON1bits.TRGDIV = 0;
 TRGCON1bits.TRGSTRT = 0;

 PDC1 = 2800 ;
 DTR1 = 20;
 ALTDTR1 = 20;

 PHASE1 = 0;
 TRIG1 = 0;



 IOCON2bits.PENH = 1;
 IOCON2bits.PENL = 1;
 IOCON2bits.PMOD = 0;

 IOCON2bits.POLH = 0;
 IOCON1bits.POLL = 0;

 IOCON2bits.OVRENH = 0;
 IOCON2bits.OVRENL = 0;
 IOCON2bits.OVRDAT = 0b00;


 PWMCON2bits.DTC = 0;

 PWMCON2bits.IUE = 0;
 PWMCON2bits.ITB = 0;

 FCLCON2bits.FLTMOD = 3;

 TRGCON2bits.TRGDIV = 0;
 TRGCON2bits.TRGSTRT = 0;

 PDC2 = 2800 ;

 DTR2 = 20;
 ALTDTR2 = 20;

 PHASE2 = -2700;
 TRIG2 = 0;

 PTCONbits.PTEN = 1;

}

void Mcu_Init(void)
{
 INTCON1bits.NSTDIS = 1;



 ANSELA = ANSELB = ANSELC = ANSELD = ANSELE = ANSELG = 0x0000;




 TRISA = TRISB = TRISC = TRISD = TRISE = TRISG = 0x0000;




 LATA = LATB = LATC = LATD = LATE = LATG = 0x0000;




 LATD = 0;
}

void oscConfig(void)
{
#line 201 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for dsPIC Projects/dsPIC33EP_PWM/dsPIC33EP_PWM.c"
 PLLFBD = 68;
 CLKDIVbits.PLLPOST=0;
 CLKDIVbits.PLLPRE=0;
 OSCTUN = 0;


 RCONbits.SWDTEN=0;
}

void Delay_ms (unsigned int delay)
{
 TimerInterruptCount = 0;
 T1CONbits.TCKPS0 = 1;
 T1CONbits.TCKPS1 = 0;
 PR1 = 0x22E1;
 IPC0bits.T1IP = 4;
 IEC0bits.T1IE = 1;
 T1CONbits.TON = 1;

 while (TimerInterruptCount < delay);
 T1CONbits.TON = 0;
}
